Devuelve una factura que MongoDB emitió a la organización especificada. Un único 24-hexadecimal digit string identifica la factura. Puede optar por recibir esta factura en formato JSON o CSV. Para utilizar este recurso, la Cuenta de servicio o la clave API que lo solicita deben tener el rol de Visualizador/a de facturación de la organización, Administrador/a de facturación de la organización, o Propietario/a de la organización. Si tienes una configuración de varias organizaciones, puedes consultar una factura vinculada si cuentas con el rol de Administrador de facturación de la organización o Propietario de la organización. Para calcular el importe total adeudado de la factura, sume el importe total adeudado de cada pago incluido en la factura. Para calcular el monto adeudado del pago, utiliza la fórmula totalBilledCents * unitPrice + salesTax - startingBalanceCents.
Parámetros de path
-
string única de 24dígitos hexadecimales que identifica la organización que contiene su proyectos. Utilice el
/orgsendpoint para recuperar todas las organizaciones a las que el usuario autenticado tiene acceso.El formato debe coincidir con el siguiente patrón:
^([a-f0-9]{24})$. -
Cadena única de 24 dígitos hexadecimales que identifica la factura enviada a la organización especificada. Los cargos suelen contabilizarse al día siguiente.
El formato debe coincidir con el siguiente patrón:
^([a-f0-9]{24})$.
Parámetros de query
-
Bandera que indica si la aplicación envuelve la respuesta en un objeto JSON
envelope. Algunos clientes de la API no pueden acceder a los encabezados de respuesta HTTP ni al código de estado. Para remediar esto, establece envelope=true en la query. Los endpoints que devuelven una lista de resultados utilizan el objeto de resultados como un sobre. La aplicación agrega el parámetro de estado al cuerpo de la respuesta.El valor por defecto es
false. -
Bandera que indica si el cuerpo de la respuesta debe estar en el formato prettyprint.
El valor por defecto es
false.Impresión bonita
curl \
--request GET 'https://cloud.mongodb.com/api/atlas/v1.0/orgs/4888442a3354817a7320eb61/invoices/{invoiceId}' \
--header "Authorization: Bearer $ACCESS_TOKEN"
{
"amountBilledCents": 42,
"amountPaidCents": 42,
"created": "2026-05-04T09:42:00Z",
"creditsCents": 42,
"endDate": "2026-05-04T09:42:00Z",
"id": "32b6e34b3d91647abb20e7b8",
"lineItems": [
{
"clusterName": "string",
"created": "2026-05-04T09:42:00Z",
"discountCents": 42,
"endDate": "2026-05-04T09:42:00Z",
"groupId": "32b6e34b3d91647abb20e7b8",
"groupName": "string",
"note": "string",
"percentDiscount": 42.0,
"quantity": 42.0,
"sku": "string",
"startDate": "2026-05-04T09:42:00Z",
"stitchAppName": "string",
"tags": {
"additionalProperty1": [
"string"
],
"additionalProperty2": [
"string"
]
},
"tierLowerBound": 42.0,
"tierUpperBound": 42.0,
"totalPriceCents": 42,
"unit": "string",
"unitPriceDollars": 42.0
}
],
"linkedInvoices": [
{}
],
"links": [
{
"href": "https://cloud.mongodb.com/api/atlas",
"rel": "self"
}
],
"orgId": "32b6e34b3d91647abb20e7b8",
"payments": [
{
"amountBilledCents": 42,
"amountPaidCents": 42,
"created": "2026-05-04T09:42:00Z",
"currency": "string",
"id": "32b6e34b3d91647abb20e7b8",
"salesTaxCents": 42,
"statusName": "NEW",
"subtotalCents": 42,
"unitPrice": "string",
"updated": "2026-05-04T09:42:00Z"
}
],
"refunds": [
{
"amountCents": 42,
"created": "2026-05-04T09:42:00Z",
"paymentId": "32b6e34b3d91647abb20e7b8",
"reason": "string"
}
],
"salesTaxCents": 42,
"startDate": "2026-05-04T09:42:00Z",
"startingBalanceCents": 42,
"statusName": "PENDING",
"subtotalCents": 42,
"updated": "2026-05-04T09:42:00Z"
}
Invoice Number,666acb8787ba43606905dcae,
Billing Period,"June 1, 2024 - July 1, 2024",
Organization Name,Test 2,
Organization ID,666acb8787ba43606905dcac,
Date,Usage Date,Description,Note,Organization Name,Organization ID,Project,Project ID,SKU,Region,Cluster,Replica Set,Config Server,Application,Unit,Unit Price,Quantity,Discount Percent,Amount
{
"error": 401,
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"reason": "Unauthorized",
"errorCode": "NOT_ORG_GROUP_CREATOR"
}
{
"error": 403,
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"reason": "Forbidden",
"errorCode": "CANNOT_CHANGE_GROUP_NAME"
}
{
"error": 404,
"detail": "(This is just an example, the exception may not be related to this endpoint) Cannot find resource AWS",
"reason": "Not Found",
"errorCode": "RESOURCE_NOT_FOUND"
}
{
"error": 500,
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"reason": "Internal Server Error",
"errorCode": "UNEXPECTED_ERROR"
}